:root {
    --color-1: #f9f3e0;
    --color-2: #ef8453;
    --fondo-3: #eb9456;
    --fondo-4: #e8a459;
    --fondo-5: #e5b55d;


    --fondo-6: #EACBC6;
    --fondo-7: #3C312E;

    --fuente-h1: font-family: 'Lora', serif;
    --fuente-h2: font-family: 'Mr De Haviland', cursive;
    --fondo-color:var(--color-1)

}

html {
    box-sizing: border-box;
    font-size: 62.5%; /**1rem = 10px **/  
}

*, *:before, *:after {
    box-sizing: inherit;
}

body {
    font-family: 'Lora', serif;
    font-family: 'Mr De Haviland', cursive;
    font-size: 1.6rem;
    margin: 0;
    padding: 0;
    
}

h1 {
    color: var(--color-1);
    font-family: 'Lora', serif;
    
}

h2 {
    color: var(--fondo-3);
    font-family: var(--fuente-h2) ;
}

p {
    font-family: var(--fuente-h1);
    color: var(--fondo-3);
}



a {
    text-decoration: none;
}


img {
  width: 100%;
  display: block;
}

.contenedor {
    max-width:375px;
    margin: auto;  
}

.content {
  width: 95%;
  margin: auto;
}





.header {
    background-image: url(img/hero1.png);
    height: 28rem;
    width: 100%;
    background-image: center center;
    background-size: contain;
    background-repeat: no-repeat;
}

.bienvenida {
    text-align: center;
    display: block;
    font-family: var(--fuente-h2);
    font-size: 6rem;
    color: var(--color-1);
    font-weight: 800;
    text-shadow: 5px 2px 3px #210E09;
}

.ml9 {
    position: relative;
    font-weight: 200;
    font-size: 3rem;
    margin-top: -.5rem;
  }
  
  .ml9 .text-wrapper {
    position: relative;
    display: inline-block;
    padding-top: 0.2em;
    padding-right: 0.05em;
    padding-bottom: 0.1em;
    overflow: hidden;
    font-weight: bold;
    background-color: var(--fondo-3)
  }
  
  .ml9 .letter {
    transform-origin: 50% 100%;
    display: inline-block;
    line-height: 1em;
  }
/*h1 {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 0rem;
    background-color: var(--fondo-3);
    width: 40%;
    font-size: 2rem;
    padding: 1rem 0.5rem;
    letter-spacing: 1px;
    
}*/


.slogan-header {
    color: #fff;
    font-size: 30px;
    width: 70%;
    line-height: .6;
    font-family: 'Lora', serif;
    margin-top: 8rem;
}



span.detalles {
    display: block;
}



.contador_principal {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    place-items: center;
    text-align: center;
    margin-top: -2rem;
    position: relative;
    background-color: var(--color-1);
    padding: 1rem 0;
    border-radius: 14px 14px 0px 0px;

}

.ventas {
    font-family: 'Lora', serif;
    font-size: 2rem;
    margin: 0;
    color: var(--fondo-3);
}

.contador_cantidad {
    font-size: 2.5rem;
    font-family: 'Lora', serif;
    color: var(--fondo-3);
}

i {
    color: rgb(66, 103, 178);
}

@keyframes aparecer {
    0% {
        opacity: 0;
        transform: translateY(100px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.ocultar {
    opacity: 0;
}

.animar {
    animation: aparecer 1.3s;
}



/*----MAIN-----*/

.main {
    background-image: url(img/flor-transparente.png);
    height: 40rem;
    background-repeat: no-repeat;
    background-position: top;
}



.descripcion {
    font-family: 'Lora', serif;
    text-align: center;
    margin-top: 3rem;
    color: var(--fondo-3);
    font-size: 1.8rem;
}

.texto-regalo {
    text-align: center;
   font-size: 5.5rem;
   margin: 0;
   padding-top: 2rem;
}
.feliz {
    display: block;
    font-family: 'Lora', serif;
    font-size: 1.7rem;
}

.linea {
   padding-top: 1rem;
    width: 50%;
    margin: auto;
}

.contactos {
    display: grid;
    place-items: center;
    overflow: hidden;
}


.boton {
    
    color: var(--color-1);
    display: block;
    background-color: var(--fondo-3);
    margin-top: 3rem;
    border-radius: 3rem;
    padding: 0rem 4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--color-1);

    
}

.boton p {
    color: var(--color-1);
    margin: 0;
    font-size: 3.5rem;

}

.boton i {
    font-size: 3rem;
}

.boton-contactos {
    color: var(--color-1);
    margin-left: 5rem;
}


/*------------FILTRO---------------*/

.heading-filtro {
    text-align: center;
    font-size: 4rem;
    margin-bottom: 1rem;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.filter-box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    text-align: center;
}

 .btn {
    font-size: 2rem;
    text-decoration: none;
    color: var(--color-1);
    background-color: var(--fondo-3);
    padding: 5px;
    border-radius: 3px;
    font-family: 'Lora', serif;
    
}

.active {
    background-color: var(--color-1);
    color: var(--fondo-3);
}

#store-products {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    column-gap: 2rem;
    row-gap: 2rem;
    padding: 2rem 0;
    overflow: hidden;
}

.box:nth-of-type(even) {
    transform: translateX(-400%);
  }

.box {
    transform: translateX(400%);
    transition: transform 700ms ease;
}

.box.show {
    transform: translateX(0);
    
  }

.store-product {
    border: 1px solid #eee;
    border-radius: 3px;
    max-width: 250px;
}

.product-details {
    text-align: center;
    padding-bottom: 1rem;
    background-color: #eee;
}

.product-details h2 {
    font-size: 1.2rem;
    font-weight: 500;
}

.product-details p {
    font-size: 1rem;
    padding-bottom: 1rem;
    color: green;
    font-weight: 700;
}

.product-details p span {
    text-decoration: line-through;
    color: red;
    font-weight: normal;
}

.product-details a {
    font-size: 1rem;
    text-decoration: none;
    background-color: var(--color-sec);
    color: #fff;
    padding: .5rem 1rem;
    border-radius: 3px;
}

.product-details a:hover {
    background-color: var(--color-primary);
}

/* --------.INICIO SLIDERS---------*/

.destacadas {
    overflow: hidden;
}

.heading-destacadas {
    font-size: 4rem;
    text-align: center;
    margin-bottom: 0;
}

.linea-destacada {
    padding: 0;
}
  
  .carousel {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    margin-top: 3rem;
    overflow: hidden;
    
  }
  
  .image-container {
    display: flex;
    transform: translateX(0);
    transition: transform 0.5s ease-in-out;
    
  }
  
  .image-container img {
    border: 2rem solid var(--color-1);
    
  }

  .buttons-container {
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: auto;
  }

  
  .btns {
    background-color: var(--fondo-3);
    color: var(--color-1);
    border: none;
    padding: 1.2rem;
    cursor: pointer;
    width: 49.5%;
    font-size: 2rem;
    border-radius: 4px;
    
  }
  
  .btns:hover {
    opacity: 0.9;
  }
  
  .btns:focus {
    outline: none;
  }
  

/*----------BOTON-REDES--------*/

.redes-compartir {
    margin: 3rem 0;
    text-align: center;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    overflow: hidden;
}

.redes-compartir a {
   background-color: var(--fondo-3);
   padding: 2rem;
   border-radius: 50%;
   width: 50px;
   height: 50px;
   display: flex;
   justify-content: space-evenly;
   align-items: center;
  
}

.redes-compartir i {
    font-size: 2rem;
    display: grid;
    place-items: center;
    color: var(--color-1);
    font-size: 2.5rem;
}


.compartir-tarjeta p {
    font-size: 3.5rem;
    background-color: var(--fondo-3);
    text-align: center;
    color: var(--color-1);
    width: 70%;
    margin: auto;
    border-radius: 6px;
}

.compartir-tarjeta i {
    color: var(--color-1);
    font-size: 2.5rem;
}

/*----------UBICACION----------*/

.ubicacion {
    margin-top: 8rem;
    background-color: var(--color-1);
    text-align: center;
}

.heading-ubicacion {
    font-family: 'Lora', serif;
    margin: 0;
    padding-top: 1rem
}
.ubicacion i {
    font-size: 8rem;
    color: var(--fondo-3);
    text-align: center;
    margin-top: -4rem;
    animation: move_vector 6s ease-in-out infinite;
    transition: all 300ms;
}

@keyframes move_vector {
    0% {
      transform: translateY(10px);
  }
  
  25% {
      transform: translateY(-10px);
  }
  100% {
      transform: translateY(10px);
  }
  }

.ubicacion-mapa {
    margin-top: 4rem;
    border: 2rem solid #fff;
}


/*------CALLACTION-------*/
.callaction {
    text-align: center;
    font-family: 'Lora', serif;
  }
  
  .ayuda {
    font-size: 20px;
    font-weight: 600;
    border-bottom: 2px solid var(--fondo-3);
    padding-bottom: 8px;
    width: 55%;
    margin: auto;
   
  }
  
  .contacto a {
    font-weight: 600;
    color: var(--fondo-3);
    
  }
  
  .celular {
    color: var(--fondo-3);
  }
  
  .celular i{
    color: var(--fondo-3);
    font-size: 20px;
    letter-spacing: 2px;
    
  }
  .correo {
    color: var(--fondo-3);
  }
  
  .fa-mail-bulk {
    background-color: var(--fondo-3);
    border-radius: 50%;
      padding: 10px;
      width: 40px;
      height: 40px;
      font-size: 20px;
      color: var(--color-1);
  }
  


/* TARJETA VIRTUAL */

.tarjeta-virtual {
    text-align: center;
    margin:  20px auto;
    border: 5px solid var(--fondo-3);
    width: 90%;
   
    border-radius: 30px 0px 30px 0px;
    box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
    margin-bottom: 60px;
  }

  .logo {
    width: 20%;
  }
  
  .imagen-tarjeta img {
    width: 46%;
    margin: auto;
    padding: 10px;
    box-shadow: 0px 0px 20px -3px rgb(0 0 0 / 40%);
    border-radius: 50%;
  }
  
  
  .heading-tarjeta2 {
    font-size: 20px;
    letter-spacing: 2px;
    margin-top: 0;
    font-family: 'Anonymous Pro', monospace;

  }
  .tarjeta-nombre {
    color: var(--fondo-3);
    font-family: var(--font-nombre);
    font-size: 40px;
    margin: 0;

  }
  .slogan-tarjeta {
    margin: 0;
    font-family: 'Lora', serif;
  }
  
  .codigo-qr {
    width: 70%;
    margin: auto;
    padding: 30px 0;
  }
  
  .escanea-codigo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: -20px;
    background-color: var(--fondo-3);
    border-radius: 0 0 25px 0px;
    width: 100%;
    gap: 6px;
    
  }
  
  .gif-escanea {
    width: 15%;
    margin: 0;
    padding: 3px;
    
  }
  
  .parrafo-escanea {
    margin: 0;
    color: var(--color-1);
    font-weight: 600;
    font-family: 'Lora', serif;
    letter-spacing: 1px;
    
  }
  
  
  
  
  /* BOTON WHATSAPP */

.sonar-emipper{
    background-color: var(--fondo-3);
      border-radius: 50%;
      height: 5.8rem;
      margin: auto;
      width: 5.8rem;
      display: flex;
      justify-content: center;
      align-items: center;
      position: fixed;
      z-index: 1;
      bottom: 13px;
      right: 13px;
      z-index: 11111;
      cursor: pointer;
      border: 3px solid var(--color-1);
    
  } 
  .fa-whatsapp, .fa-times-circle, .fa-adn {
    font-size: 1.8rem;
  }
  
  
  .sonar-wave {
    background-color: var(--fondo-3);
    border-radius: 50%;
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -1;
    -webkit-animation: sonarWave 1.5s linear infinite;
    animation: sonarWave 1.5s linear infinite;
  }
  
  
  @keyframes sonarWave {
    0% {
        opacity: .6;
    }
    100% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }
  }
  
 .sonar-emipper i {
   
    color: var(--color-1);
    font-size: 3.7rem;
    text-align: center;  
    
   
  }
  
  